Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.heuristic.selector.value
Enum ValueSelectorConfig.ValueSorterManner

    java.lang.Object
      java.lang.Enum<ValueSelectorConfig.ValueSorterManner>
          org.optaplanner.core.config.heuristic.selector.value.ValueSelectorConfig.ValueSorterManner

All Implemented Interfaces:
  Serializable, Comparable<ValueSelectorConfig.ValueSorterManner>

Enclosing class:
  ValueSelectorConfig

    public static enum ValueSelectorConfig.ValueSorterManner

extends Enum<ValueSelectorConfig.ValueSorterManner>

Build-in ways of sorting.

Enum Constant Summary
`INCREASING_STRENGTH`

Method Summary
`SelectionSorter` | `determineSorter(PlanningVariableDescriptor variableDescriptor)`
`static ValueSelectorConfig.ValueSorterManner` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueSelectorConfig.ValueSorterManner[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCREASING_STRENGTH

    public static final ValueSelectorConfig.ValueSorterManner INCREASING_STRENGTH

Method Detail

### values

    public static ValueSelectorConfig.ValueSorterManner[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueSelectorConfig.ValueSorterManner c : ValueSelectorConfig.ValueSorterManner.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueSelectorConfig.ValueSorterManner valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### determineSorter

    public SelectionSorter determineSorter(PlanningVariableDescriptor variableDescriptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.